MarchingSquares.ContourVertex
Date: 2019-10-22

org.jmol.jvxl.calc

## Class MarchingSquares.ContourVertex

- java.lang.Object
- - javajs.util.T3
  - - javajs.util.P3
    - - org.jmol.jvxl.calc.MarchingSquares.ContourVertex

- All Implemented Interfaces:
    java.io.Serializable, javajs.api.JSONEncodable
  Enclosing class:
    MarchingSquares

      private class MarchingSquares.ContourVertex
      extends javajs.util.P3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) float` | `value`

    - ### Fields inherited from class javajs.util.T3

      `x, y, z`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContourVertex(javajs.util.P3 vertexXYZ)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `setValue(float value)`
    `java.lang.String` | `toString()` Returns a string that contains the values of this Tuple3f.

    - ### Methods inherited from class javajs.util.P3

      `getUnlikely, new3, newP`

    - ### Methods inherited from class javajs.util.T3

      `add, add2, add3, ave, cross, distance, distanceSquared, dot, equals, floatToIntBits, hashCode, length, lengthSquared, normalize, scale, scaleAdd2, scaleT, set, setA, setT, sub, sub2, toJSON`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### value

          float value

  - ### Constructor Detail

    - #### ContourVertex

          ContourVertex(javajs.util.P3 vertexXYZ)

  - ### Method Detail

    - #### setValue

          void setValue(float value)

    - #### toString

          public java.lang.String toString()

      Description copied from class: `javajs.util.T3`
      Returns a string that contains the values of this Tuple3f. The form is (x,y,z).
      Overrides:
        `toString` in class `javajs.util.T3`
      Returns:
        the String representation